Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
RMSEncryptData Class Reference
Inheritance diagram for RMSEncryptData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (is_encrypt_metadata, publish_license, server_eul_list, irm_version)
| Constructor, with parameters. More...
| Set (is_encrypt_metadata, publish_license, server_eul_list, irm_version)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| irm_version
| Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| publish_license
| The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. More...
| server_eul_list
| A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL. More...

## Detailed Description

This class represents some data used for class RMSSecurityHandler.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

RMSEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | publish_license | ,
|  | server_eul_list | ,
|  | irm_version |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class Codec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class Codec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

## ◆ Set()

RMSEncryptData.Set | ( | is_encrypt_metadata | ,
|  | publish_license | ,
|  | server_eul_list | ,
|  | irm_version |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class Codec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class Codec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ publish_license

RMSEncryptData.publish_license

The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string.

This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class Codec if necessary.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ server_eul_list

RMSEncryptData.server_eul_list

A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL.
For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class Codec for Flate compression algorithm and Base-64 Encryption algorithm.Please refer to class Codec if necessary.
An empty array means not use such information.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.